image: python

stages:
  - test
  - deploy

before_script:
  - pip install --upgrade pip pytest pytest-allclose
  - pip install -e .

test36:
  stage: test
  image: python:3.6
  script:
    - python -m pytest tests

test37:
  stage: test
  image: python:3.7
  script:
    - python -m pytest tests

test38:
  stage: test
  image: python:3.8
  script:
    - python -m pytest tests

test39:
  stage: test
  image: python:3.9
  script:
    - python -m pytest tests

